Index: /trunk/SophyaPI/PIext/Makefile
===================================================================
--- /trunk/SophyaPI/PIext/Makefile	(revision 2764)
+++ /trunk/SophyaPI/PIext/Makefile	(revision 2765)
@@ -4,8 +4,8 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nommatvecadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomstladapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
+	 rm -f $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nommatvecadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomstladapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pistlist.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o $(SOPHYAOBJP)userfitfunex.o
 	rm -f $(SOPHYALIBP)libPIext.a
  
-$(SOPHYALIBP)libPIext.a : $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o
+$(SOPHYALIBP)libPIext.a : $(SOPHYAOBJP)basexecut.o $(SOPHYAOBJP)contmodex.o $(SOPHYAOBJP)cxxexecutor.o $(SOPHYAOBJP)cxxexecwin.o $(SOPHYAOBJP)flowmodex.o $(SOPHYAOBJP)nobjmgr.o $(SOPHYAOBJP)nomgadapter.o $(SOPHYAOBJP)nomgfdadapter.o $(SOPHYAOBJP)nomhistadapter.o $(SOPHYAOBJP)nomimagadapter.o $(SOPHYAOBJP)nomskymapadapter.o $(SOPHYAOBJP)nomspecrespadapter.o $(SOPHYAOBJP)nomtarradapter.o $(SOPHYAOBJP)nomtmatvecadapter.o $(SOPHYAOBJP)pawexecut.o $(SOPHYAOBJP)pi2dvec.o $(SOPHYAOBJP)piacmd.o $(SOPHYAOBJP)piafitting.o $(SOPHYAOBJP)pigfd1.o $(SOPHYAOBJP)pigfd2.o $(SOPHYAOBJP)pihisto.o $(SOPHYAOBJP)pihisto2d.o $(SOPHYAOBJP)piinit.o $(SOPHYAOBJP)pintup3d.o $(SOPHYAOBJP)pintuple.o $(SOPHYAOBJP)pipodrw.o $(SOPHYAOBJP)pisiadw.o $(SOPHYAOBJP)pistdimgapp.o $(SOPHYAOBJP)pitvmaad.o $(SOPHYAOBJP)servnobjm.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libPI.objlist
@@ -27,9 +27,7 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h basexecut.h \
-  $(SOPHYAINCP)strutilxx.h \
-  pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  basexecut.h $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -82,13 +80,11 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  nobjmgr.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  servnobjm.h nomgadapter.h \
-  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h servnobjm.h \
+  nomgadapter.h $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -111,9 +107,8 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basexecut.cc
  
 $(SOPHYAOBJP)contmodex.o: contmodex.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  contmodex.h \
+  $(SOPHYAINCP)sopnamsp.h contmodex.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -130,6 +125,5 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
   $(SOPHYAINCP)pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
@@ -202,6 +196,5 @@
   $(SOPHYAINCP)gp_dynarray.h \
   $(SOPHYAINCP)gp_graph3d.h \
-  $(SOPHYAINCP)gp_alloc.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)gp_alloc.h nomgadapter.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -217,9 +210,8 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h servnobjm.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  contmodex.cc
  
 $(SOPHYAOBJP)cxxexecutor.o: cxxexecutor.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  cxxexecutor.h \
+  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -236,9 +228,7 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)cxxcmplnk.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)cxxcmplnk.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -277,6 +267,5 @@
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -307,15 +296,14 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxexecutor.cc
  
 $(SOPHYAOBJP)cxxexecwin.o: cxxexecwin.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  cxxexecutor.h \
+  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -332,9 +320,7 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h nobjmgr.h cxxexecwin.h \
-  $(SOPHYAINCP)pisysdep.h \
-  pistdimgapp.h \
-  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
+  cxxexecwin.h $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
@@ -386,15 +372,14 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxexecwin.cc
  
 $(SOPHYAOBJP)flowmodex.o: flowmodex.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  flowmodex.h \
+  $(SOPHYAINCP)sopnamsp.h flowmodex.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -411,6 +396,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h nobjmgr.h pi2dvec.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
+  pi2dvec.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -464,6 +449,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -472,6 +457,5 @@
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ntuple.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)ntuple.h nomgadapter.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -487,12 +471,10 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h servnobjm.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)nobjmgr.o: nobjmgr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  flowmodex.cc
+ 
+$(SOPHYAOBJP)nobjmgr.o: nobjmgr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)datatypes.h \
-  $(SOPHYAINCP)machdefs.h \
-  nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -504,9 +486,7 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h dlftypes.h \
-  servnobjm.h \
+  $(SOPHYAINCP)mutyv.h dlftypes.h servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)zthread.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -545,6 +525,5 @@
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -575,6 +554,5 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)ctimer.h pisiadw.h \
@@ -606,17 +584,15 @@
   $(SOPHYAINCP)fitslocalmap.h \
   $(SOPHYAINCP)localmap.h \
-  $(SOPHYAINCP)fbtntintf.h \
-  pitvmaad.h \
+  $(SOPHYAINCP)fbtntintf.h pitvmaad.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h \
-  pipodrw.h $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h pintuple.h \
-  pintup3d.h pigfd1.h pigfd2.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)pisurfdr.h pipodrw.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h pintuple.h pintup3d.h \
+  pigfd1.h pigfd2.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nobjmgr.cc
  
 $(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -666,11 +642,10 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomgadapter.cc
  
 $(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  nomgfdadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h nomgfdadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -725,11 +700,10 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)hisprof.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomgfdadapter.cc
  
 $(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  nomhistadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h nomhistadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -785,7 +759,6 @@
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)segdatablock.h \
-  pihisto.h pihisto2d.h \
-  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)segdatablock.h pihisto.h \
+  pihisto2d.h $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -819,12 +792,11 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomhistadapter.cc
  
 $(SOPHYAOBJP)nomimagadapter.o: nomimagadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h \
-  nomimagadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)datatype.h nomimagadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -874,6 +846,5 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  pimgadapter.h \
+  $(SOPHYAINCP)fioarr.h pimgadapter.h \
   $(SOPHYAINCP)objfitter.h \
   $(SOPHYAINCP)histos.h \
@@ -884,12 +855,11 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomimagadapter.cc
  
 $(SOPHYAOBJP)nomskymapadapter.o: nomskymapadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h \
-  nomskymapadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)datatype.h nomskymapadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -955,6 +925,5 @@
   $(SOPHYAINCP)fiospherehealpix.h \
   $(SOPHYAINCP)fiolocalmap.h \
-  $(SOPHYAINCP)fiosphereecp.h \
-  pitvmaad.h \
+  $(SOPHYAINCP)fiosphereecp.h pitvmaad.h \
   $(SOPHYAINCP)complexios.h \
   $(SOPHYAINCP)fitsspherehealpix.h \
@@ -963,5 +932,5 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitslocalmap.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomskymapadapter.cc
  
 $(SOPHYAOBJP)nomspecrespadapter.o: nomspecrespadapter.cc \
@@ -1019,12 +988,11 @@
   $(SOPHYAINCP)specrespvector.h \
   $(SOPHYAINCP)gaussfilt.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomspecrespadapter.cc
  
 $(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h \
-  nomtarradapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)datatype.h nomtarradapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1079,5 +1047,5 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtarradapter.cc
  
 $(SOPHYAOBJP)nomtmatvecadapter.o: nomtmatvecadapter.cc \
@@ -1114,36 +1082,34 @@
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  nomtmatvecadapter.h nomgadapter.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
-  $(SOPHYAINCP)piyfxdrw.h \
-  pitvmaad.h \
+  $(SOPHYAINCP)poly.h nomtmatvecadapter.h \
+  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)piyfxdrw.h pitvmaad.h \
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)fitsfile.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtmatvecadapter.cc
  
 $(SOPHYAOBJP)pawexecut.o: pawexecut.cc \
@@ -1177,11 +1143,10 @@
   $(SOPHYAINCP)histerr.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  pawexecut.h piacmd.h \
-  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)ntupintf.h pawexecut.h \
+  piacmd.h $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h nobjmgr.h servnobjm.h nomgadapter.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
+  servnobjm.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -1209,6 +1174,5 @@
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)poly.h pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1239,15 +1203,13 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  pihisto.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)resusage.h pihisto.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pawexecut.cc
+ 
+$(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)histos.h \
@@ -1275,6 +1237,5 @@
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)nbtri.h pi2dvec.h \
-  pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1327,6 +1288,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  nobjmgr.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -1339,9 +1300,8 @@
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)piscdrawwdg.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)piacmd.o: piacmd.cc \
-  $(SOPHYAINCP)sopnamsp.h piacmd.h \
-  $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi2dvec.cc
+ 
+$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
+  piacmd.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -1357,10 +1317,8 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h basexecut.h \
-  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  basexecut.h $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)srandgen.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)srandgen.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1414,13 +1372,11 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  nobjmgr.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  piafitting.h nomgadapter.h \
-  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h piafitting.h \
+  nomgadapter.h $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -1437,5 +1393,5 @@
   $(SOPHYAINCP)fmath.h pawexecut.h \
   cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
  
 $(SOPHYAOBJP)piafitting.o: piafitting.cc \
